package org.studiorailgun.sim.space.gen;

import org.studiorailgun.Globals;
import org.studiorailgun.sim.space.Location;

/**
 * Generates a location
 */
public class LocationGenerator {
    
    /**
     * Generates a location
     * @param type The type of the location
     * @return The location
     */
    public static Location generate(String type){
        Location rVal = new Location(type);
        Globals.world.registerLocation(rVal);
        return rVal;
    }

}
